---
path: /
---
<div class="starwars-example-wrapper"><a class="starwars-example" href="http://swapi.graphene-python.org/">Check our Django Starwars API example!</a></div>


<div>
<div class="homepage-intro">

## Meet Graphene

Graphene is a Python library for building *GraphQL* schemas/types fast and easily.


* **Easy to use**: Graphene helps you use *GraphQL* in Python easily.
* Graphene has **builtin support for Relay**.
* Support for **Django**, **SQLAlchemy** and **GAE**: mapping the models automatically to *GraphQL* types.

</div>

<div class="homepage-schema">

```python
import graphene

class Query(graphene.ObjectType):
    hello = graphene.String()

    def resolve_hello(self, args, info):
        return 'world'

schema = graphene.Schema(query=Query)
```


```python
result = schema.execute('{ hello }')
```

</div>
</div>

<div>

#### What is GraphQL?
*GraphQL* is a data query language and runtime designed to request and deliver data in a performant way.

Advantages of using *GraphQL*:
* Only **one API endpoint**. One roundtrip for fetch everything you need.
* No data overfetching or underfetching.
* Autogenerated Graphical UI and docs based in your schema.
<div>